org.richfaces.convert.seamtext

## Class HtmlToSeamSAXParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.richfaces.convert.seamtext.HtmlToSeamSAXParser

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class HtmlToSeamSAXParser
      extends org.xml.sax.helpers.DefaultHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROOT_TAG_NAME`
    `HtmlTag` | `rootTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlToSeamSAXParser()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `static java.lang.String` | `convertHtmlToSeamText(java.lang.String html)`
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
    `HtmlTag` | `getRootTag()`
    `HtmlToSeamTransformer` | `getTransformer()`
    `void` | `ignorableWhitespace(char[] ch, int start, int length)`
    `org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
    `void` | `setTransformer(HtmlToSeamTransformer transformer)`
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, notationDecl, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_TAG_NAME

          public static final java.lang.String ROOT_TAG_NAME

      See Also:
        Constant Field Values

    - #### rootTag

          public final HtmlTag rootTag

  - ### Constructor Detail

    - #### HtmlToSeamSAXParser

          public HtmlToSeamSAXParser()

  - ### Method Detail

    - #### getRootTag

          public HtmlTag getRootTag()

    - #### convertHtmlToSeamText

          public static java.lang.String convertHtmlToSeamText(java.lang.String html)
                                                        throws java.io.IOException,
                                                               org.xml.sax.SAXException

      Throws:
        `java.io.IOException`
        `org.xml.sax.SAXException`

    - #### resolveEntity

          public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                              java.lang.String systemId)
                                                throws org.xml.sax.SAXException,
                                                       java.io.IOException

      Specified by:
        `resolveEntity` in interface `org.xml.sax.EntityResolver`
      Overrides:
        `resolveEntity` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`

    - #### startElement

          public void startElement(java.lang.String uri,
                          java.lang.String localName,
                          java.lang.String qName,
                          org.xml.sax.Attributes attributes)

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### endElement

          public void endElement(java.lang.String uri,
                        java.lang.String localName,
                        java.lang.String qName)

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                 int start,
                                 int length)

      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `ignorableWhitespace` in class `org.xml.sax.helpers.DefaultHandler`

    - #### characters

          public void characters(char[] ch,
                        int start,
                        int length)

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

    - #### getTransformer

          public HtmlToSeamTransformer getTransformer()

    - #### setTransformer

          public void setTransformer(HtmlToSeamTransformer transformer)

Copyright © 2013. All Rights Reserved.